#include <cxxtest/TestSuite.h>

#include "outputterminal.hh"
#include "result.hh"

#include <sstream>

class OutputTerminal_test: public CxxTest::TestSuite
{
public:

  void test_output(void)
  {
    std::ostringstream output_stream ;
    OutputTerminal output(output_stream) ;
    Result result ;

    TS_ASSERT(output_stream.str().empty()) ;
    output.write(result) ;

    TS_ASSERT(! output_stream.str().empty()) ;

    std::ostringstream result_stream ;
    result_stream << result << '\n' ;
    TS_ASSERT_EQUALS(output_stream.str(), result_stream.str()) ;
  }

} ;
